using namespace System;
using namespace System::Runtime::InteropServices; 

[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01tc_Device_Open(short Id);
[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbs01tc_Device_Close(short Id);
[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01tc_Single_Sample(short Id,double *Data, unsigned char sType);
[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01tc_Start_Sample(short Id,short SampleRate);
[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01tc_Get_Datas(short Id,[Out] double Data[],[Out] unsigned char SerNum[],unsigned char *size, unsigned char sType);

[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01tc_Single_Sample_Ex(short Id,double *VData, double *TData);
[DllImport("TUSBSTC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01tc_Get_Datas_Ex(short Id,[Out] double VData[],[Out] double TData[],[Out] unsigned char SerNum[],unsigned char *size);

static String^ Tusbs01tc_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}
