'------------------------------------------------------------
'            TUSB-S01TChCopWW[
'            2012/06/22
'            Ѓ^[gH
'-----------Copyright (C) 2012 Turtle Industry Co., Ltd.-----
Option Strict Off
Option Explicit On

Imports System.Runtime.InteropServices

Module TUSBS01TC
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01tc_Device_Open(ByVal Id As Short) As Short
    End Function
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbs01tc_Device_Close(ByVal Id As Short)
    End Sub
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01tc_Single_Sample(ByVal Id As Short, _
                                     ByRef Data As Double, _
                                     ByVal sType As Byte) As Short
    End Function
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01tc_Start_Sample(ByVal Id As Short, _
                                    ByVal SampleRate As Short) As Short
    End Function
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01tc_Get_Datas(ByVal Id As Short, _
                                 <[In](), Out()> ByVal Data() As Double, _
                                 <[In](), Out()> ByVal SerNum() As Byte, _
                                 ByRef size As Byte, _
                                 ByVal sType As Byte) As Short
    End Function
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01tc_Single_Sample_Ex(ByVal Id As Short, _
                                     ByRef VData As Double, _
                                     ByRef TData As Double) As Short
    End Function
    <DllImport("TUSBSTC.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01tc_Get_Datas_Ex(ByVal Id As Short, _
                                 <[In](), Out()> ByVal VData() As Double, _
                                 <[In](), Out()> ByVal TData() As Double, _
                                 <[In](), Out()> ByVal SerNum() As Byte, _
                                 ByRef size As Byte) As Short
    End Function

    'G[bZ[Wo
    Function Tusbs01tc_GetErrMessage(ByVal retcode As Short) As String
        Select Case retcode
            Case 0
                Return "I܂"
            Case 1
                Return "IDԍsł"
            Case 2
                Return "hCoCXg[Ă܂"
            Case 3
                Return "łɃfoCX̓I[vĂ܂"
            Case 4
                Return "ڑĂ䐔܂"
            Case 5
                Return "I[vł܂ł"
            Case 6
                Return "foCX݂܂"
            Case 7
                Return "I[vĂ܂"
            Case 8
                Return "p[^G["
            Case 9
                Return "USBʐMG[ł"
            Case Else
                Return "sȃG[ł"
        End Select
    End Function
End Module

